#ifndef DEF_HEADER_BIN_PATH
#define DEF_HEADER_BIN_PATH

#include <stdio.h>

/*
	can be considered as the id of an child_brother structure
	and a way to find a bone in armature or a shape
*/
typedef struct _BinPath * BinPath;
struct _BinPath
{
	int length;
	unsigned char * path;
};

int BinPath_create(BinPath * id);

void BinPath_free(BinPath * id);

void BinPath_clear(BinPath id);

int BinPath_affect(BinPath id, int bit, int val);

int BinPath_affect_prefixe(BinPath dest, BinPath src, int nb_pref);

int BinPath_is_prefixe(BinPath pref, BinPath id);

int BinPath_get(BinPath id, int bit, int * val);

int BinPath_copy(BinPath * copy, BinPath id);

void BinPath_aff_debug(BinPath id);

int BinPath_save(FILE * flow, const BinPath id);

int BinPath_load(FILE * flow, BinPath * id);

#endif