#ifndef DEF_HEADER_BONE_TABLE
#define DEF_HEADER_BONE_TABLE

#include "armature.h"

typedef struct _BoneTable BoneTable;
struct _BoneTable
{
	Bone * tab;
	int size;
};

int BoneTable_init(BoneTable * table, Bone bone);

void BoneTable_quit(BoneTable * table);

void BoneTable_sort(BoneTable * table);

int BoneTable_correct(BoneTable * table);

void BoneTable_gest(BoneTable * table);

int BoneTable_get(BoneTable * table, Bone * bone, int id);

#endif