#ifndef DEF_HEADER_BUTTON
#define DEF_HEADER_BUTTON

#include <SDL/SDL.h>
#include <stdarg.h>
#include "menu.h"
#include "menu_list.h"

typedef struct _Buttons Buttons;
struct _Buttons
{
	Menu menu;
};

int Buttons_create(Buttons * buttons, int width, int y, int nb_buttons, ...);

void Buttons_free(Buttons * buttons);

int Buttons_get_event(Buttons * buttons, SDL_Event * event, int * choix);

void Buttons_draw(Buttons * buttons, SDL_Surface * screen);

#endif