#ifndef DEF_HEADER_EDIT
#define DEF_HEADER_EDIT

#include <SDL/SDL.h>

#define FPS 120
#define REFRESH_TIME (1000. / FPS)

typedef enum
{
	EDIT_EXIT_QUIT,
	EDIT_EXIT_GOTO_ARMA_EDITOR,
	EDIT_EXIT_GOTO_SHAPE_EDITOR,
	EDIT_EXIT_GOTO_ACTION_EDITOR,
	EDIT_EXIT_GOTO_ARENA,
	EDIT_EXIT_GOTO_GAME,
	NB_EDIT_EXIT
} EditExit;

int Edit_init();

void Edit_print_background(SDL_Surface * screen);

void Edit_quit();

#endif