#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "window.h"
#include "dialog.h"
#include "game.h"
#include "color.h"

int main(int argc, char * argv[])
{
	Window_Init(1000, 750, "Projet Tuteuré");
		
	if(argc > 1 && strcmp(argv[1], "-no-action") == 0)
	{
		Window_Quit();
		exit(EXIT_SUCCESS);
	}
	SDL_EnableUNICODE(SDL_ENABLE);
	
	if(! Dialog_global_init("media/arial.ttf", 25, SDL_Color_create(255, 255, 255)))
	{
		fprintf(stderr, "Unable to init global dialogs\n");
		Window_Quit();
		exit(EXIT_FAILURE);
	}
	
	Game_play();
	
	Dialog_global_free();
	Window_Quit();
	
	exit(EXIT_SUCCESS);
}