#ifndef DEF_HEADER_WINDOW
#define DEF_HEADER_WINDOW

#include <SDL/SDL.h>

typedef struct _Window Window;
struct _Window
{
	SDL_Surface * screen;
	int width;
	int height;
};

extern Window window;

int Window_Init(int width, int height, const char * caption);

void Window_Quit();

SDL_Surface * get_screen();

void refresh_screen();

void clear_screen();

void clear_screenRGB(int r, int g, int b);

int wait_any_key();

#endif