#include "edit.h"
#include "image.h"

static Image background = NULL;

int Edit_init()
{
	return 1;
}

void Edit_print_background(SDL_Surface * screen)
{
	if(background == NULL)
	{
		if(! Image_create_from_surface_copy(&background, screen))
			return;
		Image_fillHorizontalDegrade(background, 0, (3 * screen->h) / 4, 33, 77, 128,  16, 38, 64, NULL);
		Image_fillHorizontalDegrade(background, (3 * screen->h) / 4, (7 * screen->h) / 8, 16, 38, 64, 8, 19, 32, NULL);
		Image_fillHorizontalDegrade(background, (7 * screen->h) / 8, screen->h, 8, 19, 32, 2, 4, 8, NULL);
	}
	Image_print_on_surface(screen, background);
}

void Edit_quit()
{
	Image_free(&background);
}