#ifndef DEF_HEADER_FILE_EXPLORER
#define DEF_HEADER_FILE_EXPLORER

#include "menu.h"
#include "text_input.h"

typedef enum
{
	FILE_EXPLORER_MODE_SAVE,
	FILE_EXPLORER_MODE_LOAD,
	NB_FILE_EXPLORER_MODE
} File_Explorer_Mode;

typedef struct _File_Explorer * File_Explorer;
struct _File_Explorer
{
	Input path;
	Menu content;
	SDL_Surface * back_input;
};

int is_file(const char * path);

int is_repertory(const char * path);

int is_file_or_repertory(const char * path);

int File_Explorer_create(File_Explorer * exp);

void File_Explorer_free(File_Explorer * exp);

int File_Explorer_define(File_Explorer exp, SDL_Surface * screen);

int File_Explorer_menu_define(File_Explorer exp);

int File_Explorer_gest_event(File_Explorer exp, SDL_Surface * screen, File_Explorer_Mode mode, char ** file_name);

#endif