#ifndef DEF_HEADER_FILE_SAVER
#define DEF_HEADER_FILE_SAVER

#include "file_explorer.h"
#include "key_gest.h"

typedef struct _FileSaver FileSaver;
struct _FileSaver
{
	char * file_name;
};

int FileSaver_create(FileSaver * saver);

int FileSaver_Personnage_save(const char * path, void * perso);

int FileSaver_Personnage_load(const char * path, void * perso_adress);

int FileSaver_save(FileSaver * saver, File_Explorer explorer, Key_Gest * key_gest, void * data, int (*save_function)(const char * path, void * data));

int FileSaver_load(FileSaver * saver, File_Explorer explorer, Key_Gest * key_gest, void * data, int (*load_function)(const char * path, void * data));

#endif